Bug 236651 - pup crash yumRepo.py:312:check:RepoError: Cannot find a valid baseurl for repo: development
pup crash yumRepo.py:312:check:RepoError: Cannot find a valid baseurl for rep...
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
Blocks: FC7Blocker
  Show dependency treegraph
Reported: 2007-04-16 19:09 EDT by Ed Avis
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-02 22:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2007-04-16 19:09:51 EDT
This is a bug against pup, but for whatever reason there is no component 'pup'
in the dropdown list on the Bugzilla page, and it doesn't let you type in your
own component name.

This bug is against Fedora 7 test 2 - again, there is no such version on the
'Fedora Core' bug reporting page, and no reporting page for just 'Fedora', so I
chose the closest thing.

Anyway, I started the computer and logged in.  The normal GNOME desktop appeared
but with a message in the top left saying two packages needed updating.  I
pressed the button for more details but then a crash notification box appeared,

Component: Software Updater
Summary: TB34bf4d7c yumRepo.py:312:check:RepoError: Cannot find a valid baseurl
for repo: development

Traceback (most recent call last):
  File "/usr/sbin/pup", line 647, in <module>
  File "/usr/sbin/pup", line 640, in main
    pup = PackageUpdater(not options.autoapply)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 123, in __init__
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 221, in reset
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 295, in closeRpmDB
    self.comps = None
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 513, in <lambda>
    fset=lambda self, value: self._setGroups(value),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 438, in _setGroups
    for repo in self.repos.listGroupsEnabled():
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 493, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 335, in _getRepos
    repo.setup(self.conf.cache, self.mediagrabber)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 585, in setup
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 427, in baseurlSetup
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 312, in check
    'Cannot find a valid baseurl for repo: %s' % self.id
RepoError: Cannot find a valid baseurl for repo: development

Local variables in innermost frame:
self: development

As far as I know I haven't changed the package configuration since I did a clean
install of Fedora 7 test 2.  The updating thing has worked up to now, I believe.
Comment 1 Jeremy Katz 2007-04-19 16:46:51 EDT
What versions of pirut and yum do you have installed?
Comment 2 Ed Avis 2007-04-19 17:49:53 EDT
% rpm -q pirut yum
Comment 3 Ed Avis 2007-04-21 15:55:04 EDT
As far as I can tell, this is caused by a network failure of some kind so yum
cannot get the mirrorlist from the Fedora website.  You can reproduce it with

% su
# export http_proxy=http://nonexistent:8080
# pup
(and press yes to start downloading updates)

Expected behaviour: an error message box appears saying that a particular URI
could not be fetched, and ideally some reason why.

Actual behaviour: a long stack trace like the above with 'cannot find a valid
Comment 4 Jeremy Katz 2007-05-02 22:23:12 EDT
This should be getting handled better with yum 3.1.7

Note You need to log in before you can comment on or make changes to this bug.